package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 库位类型新增/修改 Request VO")
@Data
public class WareHouseLocationTypeSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8811")
    private Long id;

    @Schema(description = "库位类型名称", example = "赵六")
    private String typeName;

    @Schema(description = "排序,越大越靠前")
    private Integer locationSort;

    @Schema(description = "宽度,单位厘米")
    private String locationWide;

    @Schema(description = "深度,单位厘米")
    private String locationDeep;

    @Schema(description = "高,单位厘米")
    private String locationHeight;

    @Schema(description = "载重,单位公斤")
    private String locationLoad;

}