package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 用户操作记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserOperationLogRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24510")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "操作人员", example = "芋艿")
    @ExcelProperty("操作人员")
    private String nickName;

    @Schema(description = "操作信息")
    @ExcelProperty("操作信息")
    private String operateAction;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}