package cn.iocoder.yudao.module.system.controller.admin.robot.detail;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class RobotDoingTaskDTO {
    @Schema(description = "任务号")
    private String taskNo;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "robot_task_detail的id")
    private Long id;

    @Schema(description = "任务类型（1：取放货、2：停车、 3：充电、4：移动、5：仅取货、6：仅放货、7：扫描码、8：检测托盘类型、9: 移动到点位）", example = "2")
    private Integer taskType;

    @Schema(description = "任务状态(0:未开始、1：执行中、2：已完成、3：已取消、4:异常)", example = "1")
    private Integer taskStatus;

    @Schema(description = "任务阶段(0:待执行、1：前往取货、2：取货中、3：前往放货、4：放货中、5：结束、6：移动中、7:正在充电、8:取消、9:人工完成、10:异常)")
    private Long taskStage;
}
