package cn.iocoder.yudao.module.system.controller.admin.statistics.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class RobotStatusClassificationDTO {

    @Schema(description = "空闲车辆百分比")
    private Integer idle ;

    @Schema(description = "空闲车辆数量")
    private Integer idleNum = 0;

    @Schema(description = "执行任务车辆百分比")
    private Integer doingTask;

    @Schema(description = "执行任务车辆数量")
    private Integer doingTaskNum = 0;

    @Schema(description = "充电车辆百分比")
    private Integer charge ;

    @Schema(description = "充电车辆数量")
    private Integer chargeNum = 0;

    @Schema(description = "故障车辆百分比")
    private Integer fault;

    @Schema(description = "故障车辆数量")
    private Integer faultNum = 0;

}
