package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.robot.RobotGenericsStatusApi;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotGenericsDataDTO;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class RobotGenericsStatusServiceImpl implements MqttService{

    @Resource
    private RobotGenericsStatusApi robotGenericsStatusApi;

    @Override
    public void analysisMessage(String message) {
//        log.info("处理RobotGenericsStatusServiceImpl的消息 :{}",message);
        RobotGenericsDataDTO robotStatusData = JSON.parseObject(message , RobotGenericsDataDTO.class);
        robotGenericsStatusApi.updateRobotCommonStatus(robotStatusData);
    }
}
