package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.robot.RobotObstaclesStatusApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class RobotObstaclesStatusServiceImpl implements MqttService{

    @Autowired
    private RobotObstaclesStatusApi robotObstaclesStatusApi;

    @Override
    public void analysisMessage(String message) {
        log.info("障碍物状态上报 :{}", message);
        robotObstaclesStatusApi.robotObstaclesStatus(message);
    }
}
