package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.robot.RobotStatusApi;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotPoseStatusDTO;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class RobotStatusServiceImpl implements MqttService {
    @Resource
    private RobotStatusApi robotStatusApi;

    /**
     * 机器人点位
     *
     * @param message
     */
    @Override
    public void analysisMessage(String message) {
//        log.info("处理RobotStatusServiceImpl的消息 :{}", message);
        RobotPoseStatusDTO robotStatusData = JSON.parseObject(message, RobotPoseStatusDTO.class);
        robotStatusApi.robotStatusUpdate(robotStatusData);
    }
}
