package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class RemoteRobotDTO {

    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode = 0;

    @Schema(description = "车辆数量")
    private Integer robotQuantity = 0;

    @Schema(description = "车辆明细")
    private List<RemoteRobotDetailDTO> robotList;
}
