package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Data
public class RemoteRobotMaxSpeedDTO {

    @Schema(description = "速度表id")
    private Long id;

    @Schema(description = "仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "楼层")
    private Integer floor;

    @Schema(description = "区域")
    private String area;

    @Schema(description = "远遥最大速度， 最大5米每秒")
    private String maxSpeed;
}
