package cn.iocoder.yudao.module.system.controller.admin.information.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 设备信息 DTO")
@Data
@ToString(callSuper = true)
public class DeviceInformationDTO {
    @Schema(description = "获取未绑定地图的设备 0否 1是 默认否", example = "6609")
    private Integer unboundFlag;

    @Schema(description = "地图id", example = "6609")
    private Long positionMapId;

    @Schema(description = "设备类型 字典device_type", example = "2")
    private Integer deviceType;

    @Schema(description = "设备状态（1：在线、2：离线、 3：异常）", example = "1")
    private Integer deviceStatus;

    @Schema(description = "设备启用禁用（0：禁用、1：启用）")
    private Integer deviceEnable;
}
