package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 仓库点位地图新增/修改 Request VO")
@Data
public class PositionMapSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2349")
    private Long id;

    @Schema(description = "楼层")
    private Integer floor;

    @Schema(description = "区域")
    private String area;

    @Schema(description = "AGV地图ymlJson信息")
    private String yamlJson;

    @Schema(description = "AGV地图图片路径")
    private String pngUrl;

    @Schema(description = "AGV地图yaml路径")
    private String yamlUrl;

    @Schema(description = "库位编号排序")
    private Long locationNoSort;
}
