package cn.iocoder.yudao.module.system.controller.admin.remote.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 远遥车辆最大速度新增/修改 Request VO")
@Data
public class RobotMaxSpeedSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "22620")
    private Long id;

    @Schema(description = "仓库点位地图表id", example = "30963")
    private Long positionMapId;

    @Schema(description = "远遥最大速度")
    private String maxSpeed;

}