package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.robot.RobotReactiveStatusApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Slf4j
@Service
public class RobotReactiveStatusServiceImpl implements MqttService{

    @Autowired
    private RobotReactiveStatusApi robotReactiveStatusApi;

    @Override
    public void analysisMessage(String message) {
//        log.info("机器人状态上报 :{}", message);
        robotReactiveStatusApi.robotReactiveStatus(message);
    }

}
