package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.robot.RobotWorkStatusApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class RobotWorkStatusServiceImpl implements MqttService{
    @Autowired
    private RobotWorkStatusApi robotWorkStatusApi;

    @Override
    public void analysisMessage(String message) {
        log.info("作业实时行为上报 :{}", message);
        robotWorkStatusApi.robotWorkStatus(message);
    }
}
